diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -3562,13 +3562,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Nyanja</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Nyanja language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chewa</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chichewa</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Nyanja</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chewa</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chichewa</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">nyanja</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Nyanja-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chewa</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chichewa</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Nyanja</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">chewa</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">chichewa</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">nyanja</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Nyanja-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tshichewa</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tshinyanja</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -3579,9 +3579,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Occitan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Occitan (post 1500) language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Occitan (post 1500)</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">occitan (après 1500)</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Okzitanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Occitan (post 1500)</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">occitan (après 1500)</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Okzitanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">occitan</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3591,9 +3591,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ojibwa</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ojibwa languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ojibwa</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ojibwa</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ojibwa-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ojibwa</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ojibwa</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ojibwa-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">chippewa</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ojibwe</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -3604,10 +3604,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <skos:definition rdf:datatype="&xsd;string">Oriya language</skos:definition>
         <rdfs:label>Oriya</rdfs:label>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Oriya</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">oriya</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Oriya-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">o&#7771;i&#257;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Oriya</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">oriya</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Oriya-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oṛiā</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3616,13 +3616,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Oromo</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Oromo languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Afan Oromo</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Galla</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Oromo</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">galla</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">afan oromo</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">oromo</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Galla-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Afan Oromo</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Galla</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Oromo</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">galla</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">afan oromo</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">oromo</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Galla-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(afan) oromo</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3632,11 +3632,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ossetian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ossetian; Ossetic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ossetian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ossetic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">oss&#232;te</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ossetisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">iron avz&#230;g</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ossetian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ossetic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ossète</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ossetisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">iron avzæg</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3645,10 +3645,10 @@
         <rdf:type rdf:resource="&lcc-lr;AncientLanguage"/>
         <rdfs:label>Pali</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Pali language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Pali</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">pali</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Pali</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">p&#257;li bh&#257;sa</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Pali</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">pali</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Pali</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">pāli bhāsa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3657,13 +3657,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Panjabi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Panjabi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Panjabi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Punjabi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">panjabi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">pendjabi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">punjabi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Pandschabi-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">pa&#7745;j&#257;b&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Panjabi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Punjabi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">panjabi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">pendjabi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">punjabi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Pandschabi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">paṁjābī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3672,12 +3672,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Persian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Persian languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Farsi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Persian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">farsi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">persan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Persisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">f&#226;rsy</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Farsi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Persian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">farsi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">persan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Persisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">fârsy</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3686,10 +3686,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Polish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Polish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Polish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">polonais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Polnisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(j&#281;zyk) polski</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Polish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">polonais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Polnisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(język) polski</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3698,10 +3698,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Portuguese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Portuguese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Portuguese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">portugais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Portugiesisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">portugu&#234;s</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Portuguese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">portugais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Portugiesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">português</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3710,10 +3710,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Pushto</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Pushto languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Pashto</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Pushto</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">pachto</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Paschtu</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Pashto</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Pushto</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">pachto</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Paschtu</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">pashto</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3723,11 +3723,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Quechua</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Quechua languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Quechua</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">quechua</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">quichua</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Quechua-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">qh&#235;tshwa</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Quechua</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">quechua</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">quichua</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Quechua-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">qhëtshwa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3736,14 +3736,14 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Romanian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Romanian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Romanian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Moldavian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Moldovan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">roumain</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">moldave</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Rum&#228;nisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(limba) rom&#226;n&#259;</lcc-lr:hasIndigenousName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(limba) moldovean&#462;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Romanian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Moldavian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Moldovan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">roumain</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">moldave</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Rumänisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(limba) română</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">(limba) moldoveanǎ</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3752,9 +3752,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Romansh</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Romansh language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Romansh</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">romanche</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">R&#228;toromanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Romansh</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">romanche</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Rätoromanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">romontsch</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3764,10 +3764,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Rundi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Rundi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kirundi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Rundi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kirundi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Rundi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kirundi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Rundi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kirundi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Rundi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kirundi</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3777,10 +3777,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Russian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Russian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Russian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">russe</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Russisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">russkij (&#226;zyk)</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Russian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">russe</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Russisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">russkij (âzyk)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3789,10 +3789,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Northern Sami</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Northern Sami language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Northern Sami</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sami du Nord</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Nordsaamisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">davvis&#225;megiella</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Northern Sami</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sami du Nord</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Nordsaamisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">davvisámegiella</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3801,9 +3801,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Samoan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Samoan language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Samoan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">samoan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Samoanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Samoan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">samoan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Samoanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">samoa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3813,10 +3813,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sango</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sango language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sangho</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sango</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sango</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sango-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sangho</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sango</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sango</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Sango-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">sango</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3826,10 +3826,10 @@
         <rdf:type rdf:resource="&lcc-lr;AncientLanguage"/>
         <rdfs:label>Sanskrit</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sanskrit language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sanskrit</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sanskrit</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sanskrit</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">sa&#7745;skr&#805;tam</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sanskrit</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sanskrit</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Sanskrit</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">saṁskr̥tam</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3838,9 +3838,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sardinian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sardinian languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sardinian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sarde</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sardisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sardinian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sarde</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Sardisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">sardu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3850,12 +3850,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Scottish Gaelic</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Scottish Gaelic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gaelic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Scottish Gaelic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ga&#233;lique</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ga&#233;lique &#233;cossais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">G&#228;lisch-Schottisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">G&#224;idhlig</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Gaelic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Scottish Gaelic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">gaélique</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">gaélique écossais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Gälisch-Schottisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Gàidhlig</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3864,9 +3864,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Serbian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Serbian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Serbian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">serbe</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Serbisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Serbian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">serbe</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Serbisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">srpski (jezik)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3876,9 +3876,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Shona</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Shona language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Shona</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">shona</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Schona-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Shona</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">shona</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Schona-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">chiShona</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3888,10 +3888,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sichuan Yi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sichuan Yi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sichuan Yi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Nuosu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yi de Sichuan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Lalo-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sichuan Yi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Nuosu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">yi de Sichuan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Lalo-Sprache</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3900,10 +3900,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sindhi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sindhi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sindhi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sindhi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sindhi-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">sindh&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sindhi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sindhi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Sindhi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">sindhī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3912,12 +3912,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sinhala</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sinhala; Sinhalese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Singhalese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sinhala</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sinhala</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">singhalais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Singhalesisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">si&#7745;hala</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Singhalese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sinhala</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sinhala</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">singhalais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Singhalesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">siṁhala</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
